import { AmplitudeEventBase } from './AmplitudeEventBase';
import { IAmplitudeEventWithSource } from './IAmplitudeEventWithSource';

export class NonstopHomeRedeemCodeSuccessEvent extends AmplitudeEventBase implements IAmplitudeEventWithSource {
    public Source: string;

    public Code: string;

    constructor(Code: string) {
        super();
        this.Code = Code.toUpperCase();
    }

    public GetDeeplink(): string {
        return '/code';
    }
}